Skip to main content
POST
Provide Feedback

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

ID of the agent for which to provide feedback

Body

application/json

Input to POST feedback endpoint

message_id
string<uuid>
required

ID of the message on which to provide feedback.

feedback
enum<string>
required

Feedback to provide on the message. Set to "removed" to undo previously provided feedback.

Available options:
thumbs_up,
thumbs_down,
flagged,
removed
explanation
string

Optional explanation for the feedback.

content_id
string<uuid>

ID of the content on which to provide feedback, if feedback is on retrieval. Do not set (or set to null) while providing generation feedback.

query_category
string

The query category for the feedback.

Response

Successful Response

Response schema for feedback submission endpoint.

feedback_id
string<uuid>
required

ID of the submitted or updated feedback.